/* Edit control window used by event presenter to add checking for carriage
returns to update parent about new field value */!!

inherit(Edit, #EventEdit, nil, 2, nil)!!

now(class(EventEdit))!!

now(EventEdit)!!

Def WM_KEYDOWN(self, wp, lp)
{ if( wp = 13 cor between(wp, 0x70, 0x79) )
    updateSelf(parent);
  endif;
  ^WM_KEYDOWN(parent,wp,lp);
}!!